Bug 36729 - SVG wrong Animation on 'to' or 'by' and missing 'from'
: SVG wrong Animation on 'to' or 'by' and missing 'from'
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: SVG
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To: Nobody
:
Depends on: 36704 52982 84968 85051 85071
Blocks: 41761
  Show dependency treegraph
 
Reported: 2010-03-28 12:50 PDT by Dirk Schulze
Modified: 2012-04-28 04:21 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Schulze 2010-03-28 12:50:28 PDT
The handling of missing 'from' is partly wrong. It often takes the standard values and not current or previous value af an attribute. Comments in the code talk about handling missing 'form' during animation, but this doesn't happen. This causes problems on Path, Color or Points-animations. Try to add tests later.
Comment 1 Dirk Schulze 2011-01-23 14:27:06 PST
Color got fixed. Working on Path fix right now.
Comment 2 Nikolas Zimmermann 2012-04-25 02:11:35 PDT
I have a complete fix for all primitives, to correctly use either the previous value or the empty value (which has special meanings for eg. transforms: zero matrix needs to be used, not identity, etc.).
Comment 3 Nikolas Zimmermann 2012-04-28 04:21:18 PDT
Bug can be closed, its all fixed.